Package com.logicaldoc.core.security.spring

# Class ConditionalBasicAuthenticationFilter

java.lang.Object
org.springframework.web.filter.GenericFilterBean
org.springframework.web.filter.OncePerRequestFilter
org.springframework.security.web.authentication.www.BasicAuthenticationFilter
com.logicaldoc.core.security.spring.ConditionalBasicAuthenticationFilter

All Implemented Interfaces:
  `jakarta.servlet.Filter`, `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanNameAware`, `org.springframework.beans.factory.DisposableBean`, `org.springframework.beans.factory.InitializingBean`, `org.springframework.context.EnvironmentAware`, `org.springframework.core.env.EnvironmentCapable`, `org.springframework.web.context.ServletContextAware`

public class ConditionalBasicAuthenticationFilter extends org.springframework.security.web.authentication.www.BasicAuthenticationFilter
An filter for the basic authentication that is enabled or not depending on a boolean configuration parameter.

Since:
  8.9.4 *
Author:
  Marco Meschieri - LogicalDOC

## Field Summary

### Fields inherited from class org.springframework.web.filter.OncePerRequestFilter

`ALREADY_FILTERED_SUFFIX`

## Constructor Summary

Constructors
Constructor
Description
`ConditionalBasicAuthenticationFilter(org.springframework.security.authentication.AuthenticationManager authenticationManager)`
`ConditionalBasicAuthenticationFilter(org.springframework.security.authentication.AuthenticationManager authenticationManager, org.springframework.security.web.AuthenticationEntryPoint authenticationEntryPoint)`

## Method Summary

Modifier and Type
Method
Description
`void`
`setEnableParam(String enableParam)`

### Methods inherited from class org.springframework.security.web.authentication.www.BasicAuthenticationFilter

`afterPropertiesSet, setAuthenticationConverter, setAuthenticationDetailsSource, setCredentialsCharset, setRememberMeServices, setSecurityContextHolderStrategy, setSecurityContextRepository`

### Methods inherited from class org.springframework.web.filter.OncePerRequestFilter

`doFilter`

### Methods inherited from class org.springframework.web.filter.GenericFilterBean

`destroy, getEnvironment, getFilterConfig, init, setBeanName, setEnvironment, setServletContext`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConditionalBasicAuthenticationFilter

public ConditionalBasicAuthenticationFilter(org.springframework.security.authentication.AuthenticationManager authenticationManager)

### ConditionalBasicAuthenticationFilter

public ConditionalBasicAuthenticationFilter(org.springframework.security.authentication.AuthenticationManager authenticationManager, org.springframework.security.web.AuthenticationEntryPoint authenticationEntryPoint)

## Method Details

### setEnableParam

public void setEnableParam(String enableParam)